# Class MultipartInput.MalformedStreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.fileupload2.core.FileUploadException
org.apache.commons.fileupload2.core.MultipartInput.MalformedStreamException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MultipartInput`

public static class MultipartInput.MalformedStreamException extends FileUploadException
Signals that the input stream fails to follow the required syntax.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MalformedStreamException(String message)`
Constructs an `MalformedStreamException` with the specified detail message.
`MalformedStreamException(String message, Throwable cause)`
Constructs an `MalformedStreamException` with the specified detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MalformedStreamException

public MalformedStreamException(String message)
Constructs an `MalformedStreamException` with the specified detail message.

Parameters:
  `message` - The detail message.

### MalformedStreamException

public MalformedStreamException(String message, Throwable cause)
Constructs an `MalformedStreamException` with the specified detail message.

Parameters:
  `message` - The detail message.
  `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)